/**
 * 
 */
package fr.univartois.bomberman.model.asset;

import java.util.Map;

import fr.univartois.bomberman.model.asset.loader.SpriteLoader;

/**
 * @author thibault
 *
 */
public class AssetManager {
	private final static AssetManager instance=new AssetManager();
	private Map<String,Sprite> sprites;
	
	
	private AssetManager() {
		//No instance for you
	}
	
	
	public static AssetManager getInstance() {
		return instance;
	}
	
	
	public Sprite get(String name) {
		return sprites.getOrDefault(name, SpriteLoader.load(name));
	}
	
	
}
